When you change the default php version in php selector that does not update the php version for the existing accounts, it only sets the php version for new accounts. If you want to switch the default php version for existing customers use this command:

cagefsctl --cl-selector-reset-versions [list of users]

Learn more about the CloudLinux PHPSelector from the CloudLinux Documentation.